Skip to main content
Versionv1

HALO Core API (1.0.0)

Download OpenAPI specification:Download

License:

Execute core operations on the HALO platform

Studio

get_cultures

Retrieve all cultures for an account.

Required permission: HALO.Core_Cultures_Read

Authorizations:
X-CM-SSO-ACCOUNTGUIDNone
path Parameters
account_id
required
string <uuid>

Account identifier

Responses

Response samples

Content type
application/json
[
  • {
    }
]

get_culture_by_code

Retrieve culture by code.

Required permission: HALO.Core_Cultures_Read

Authorizations:
X-CM-SSO-ACCOUNTGUIDNone
path Parameters
account_id
required
string <uuid>

Account identifier

culture_code
required
string

Culture identifier

Responses

Response samples

Content type
application/json
{
  • "code": "string",
  • "name": "string"
}

get_profiles

Retrieve all profiles for an account.

Required permission: HALO.Core_Profiles_Read

Authorizations:
X-CM-SSO-ACCOUNTGUIDNone
path Parameters
account_id
required
string <uuid>

Account identifier

Responses

Response samples

Content type
application/json
[
  • {
    }
]

get_profile_by_id

Retrieve profile by ID.

Required permission: HALO.Core_Profiles_Read

Authorizations:
X-CM-SSO-ACCOUNTGUIDNone
path Parameters
account_id
required
string <uuid>

Account identifier

profile_id
required
integer <int64>

Profile identifier

Responses

Response samples

Content type
application/json
{
  • "id": 0,
  • "name": "string",
  • "workspace_type": "conversational"
}

Conversations

get_conversation

Retrieve a conversation by ID.

Required permission: HALO.Core_Conversations_Read

Authorizations:
X-CM-SSO-ACCOUNTGUIDNone
path Parameters
account_id
required
string <uuid>

Account identifier

profile_id
required
integer <int64>

Profile identifier

conversation_id
required
string <uuid>

Conversation identifier

query Parameters
view
string

View mode for conversation (default: transcript)

Responses

Response samples

Content type
application/json
null

handover_conversation

Handover a conversation to a different agent or system.

Required permission: HALO.Core_Conversations_Handover

Authorizations:
X-CM-SSO-ACCOUNTGUIDNone
path Parameters
account_id
required
string <uuid>

Account identifier

profile_id
required
integer <int64>

Profile identifier

conversation_id
required
string <uuid>

Conversation identifier

Request Body schema: application/json
required
One of
required
object
Array of objects or objects or objects or (object or objects or objects) or objects or null (ContentPart)
target_state_name_id
required
string <uuid>
type
required
string
Value: "text_router_v2"

Responses

Request samples

Content type
application/json
{
  • "type": "voice_logging"
}